get_proxy_list
获取指定站点在 JSON 配置文件中的所有反向代理规则。
- 路由:
POST /mod/proxy/com/get_proxy_list/stype - action:
get_proxy_list
输入参数
| 参数名称 | 必选 | 类型 | 描述 |
|---|---|---|---|
| site_name | 是 | string | 站点名称 |
输出参数
| 参数名称 | 类型 | 描述 |
|---|---|---|
| data | list | 代理规则列表,每项包含 proxy_type, proxy_path, proxy_pass, proxy_host, websocket, gzip, proxy_cache, sub_filter, ip_limit, basic_auth, custom_conf, remark, timeout 等配置 |
示例
请求
curl -X POST "http://192.168.168.213:8888/mod/proxy/com/get_proxy_list/stype" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "site_name=example.com&request_time=...&request_token=..."
响应
{
"status": true,
"data": [
{
"proxy_type": "http",
"proxy_path": "/",
"proxy_pass": "http://127.0.0.1:8080",
"proxy_host": "$http_host",
"websocket": {"websocket_status": true},
"gzip": {"gzip_status": false},
"remark": ""
}
]
}